Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
HashDatabaseConfig..::.SetPartitionByCallback Method
HashDatabaseConfig Class See Also Send Feedback

Enable database partitioning using the specified number of partitions and partition function. Return true if the specified number of partitions are successfully enabled; otherwise return false. The number of partitions to createThe name of partitioning function

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool SetPartitionByCallback(
    	uint parts,
    	PartitionDelegate partFunc
    )

Visual Basic (Declaration)
    Public Function SetPartitionByCallback ( _
    	parts As UInteger, _
    	partFunc As PartitionDelegate _
    ) As Boolean

Visual C++
    public:
    bool SetPartitionByCallback(
    	unsigned int parts,
    	PartitionDelegate^ partFunc
    )

#### Parameters

parts
  Type: System..::.UInt32

partFunc
  Type: BerkeleyDB..::.PartitionDelegate

# See Also

HashDatabaseConfig Class
BerkeleyDB Namespace